#
# spec file for package xplatproviders
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xplatproviders
Version:        1.0.0
Release:        bp155.2.10
Summary:        Operations Manager Cross Platform Providers
License:        MS-PL
Group:          System/Management
Url:            http://scx.codeplex.com/
Source:         %{name}-%{version}.tar.gz
Patch1:         0001-Recognize-openSUSE.patch
Patch2:         0002-Fix-preprocessor-if-aix-if-defined-aix.patch
Patch3:         0003-dos2unix.patch
Patch4:         0004-Include-cstdio-for-EOF.patch
Patch5:         0005-Recognize-OBS-Open-Build-Service.patch
Patch6:         0006-Support-OBS-in-build-Makefile.pf.Linux.patch
Patch7:         0007-Compute-major.minor-os-version-inside-OBS.patch
Patch8:         0008-untab-indentation-for.patch
Patch9:         0009-Honor-DESTDIR-in-install.patch
Patch10:        0001-Get-release-string-and-version-right.patch
Patch11:        Consider-gcc-in-SUSE-and-REDHAT-can-handle-dynamic_c.patch
Patch12:        0003-Include-unistd.h.patch
Patch13:        0004-Remove-const-qualifier-from-functions-returning-inte.patch
Patch14:        0001-config.guess-SuSEconfig-is-gone-post-openSUSE-12.2.patch
Patch15:        xplatproviders-gcc48.patch
Patch16:        fix-gcc6.patch
Patch17:        reproducible.patch
Patch18:        configure-assume-host-SUSE-if-SUSE_VERSION-set.patch
Patch19:        drop-stropts.h-include.patch
BuildRequires:  gcc-c++
BuildRequires:  sblim-cmpi-devel
Requires(pre):  /bin/hostname
Requires(pre):  coreutils
Requires(pre):  grep
Requires(pre):  sed
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64
%if 0%{?rhel_version} > 0
BuildRequires:  -vim
%endif
%if 0%{?suse_version} > 1010
BuildRequires:  fdupes
%endif

%description
System Center Cross Platform Solutions are open source add-ons for
System Center products to enable management of heterogeneous
enterprise infrastructures. Current solutions include support for UNIX
and Linux management through Operations Manager 2007 R2.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%patch14 -p1
%patch15
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%if 0%{?suse_version}
  export SUSE_VERSION=0%{?suse_version}
%else
  %if 0%{?fedora_version}
    export FEDORA_VERSION=0%{?fedora_version}
  %endif
%endif
sh -x configure \
  --prefix=%{_libdir}/cmpi \
  --libdir=%{_libdir}/cmpi \
  --confdir=%{_sysconfdir} \
  --logdir=%{_localstatedir}/log \
  --rundir=%{_localstatedir}/run \
  --mofdir=%{_datadir}/mof \
  --with-cmpi-headers=%{_includedir}/cmpi
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_sysconfdir}/installinfo.txt

%files
%defattr(-,root,root)
%doc license.txt readme.txt xplatproviders.pdf
%{_libdir}/cmpi
%{_datadir}/mof
%config(noreplace) %{_sysconfdir}/*.conf

%changelog
* Tue Oct  8 2019 Klaus Kämpf <kkaempf@suse.com>
- enable drop-stropts.h-include.patch on all platforms
* Mon Jul  3 2017 kkaempf@suse.com
- add configure-assume-host-SUSE-if-SUSE_VERSION-set.patch
  to detect host in absence of /etc/issue
- add drop-stropts.h-include.patch
  fixes redhat/centos/fedora builds
- rename 0002-Consider-gcc-in-SUSE-can-handle-dynamic_cast.patch
  to Consider-gcc-in-SUSE-and-REDHAT-can-handle-dynamic_c.patch
* Wed Jan 25 2017 bwiedemann@suse.com
- Add reproducible.patch to allow for reproducible builds
* Sat Jul 23 2016 rpm@fthiessen.de
- Added fix-gcc6.patch for gcc6 build (Tumbleweed / Factory).
  * Fixes boo#985164
* Sat Jun 29 2013 crrodriguez@opensuse.org
- Also do not strip shared libraries,fix debug info generation
- Use %%{?_smp_mflags}
* Sat Jun 29 2013 crrodriguez@opensuse.org
- Use %%optflags
- Cleanup CXXFLAGS and remove Werror so build does not
  fail with gcc 4.8 (xplatproviders-gcc48.patch)
* Fri Mar 22 2013 dvaleev@suse.com
- set ExclusiveArch to x86, as cpu_provider is x86 specific
* Fri Oct 26 2012 kkaempf@suse.com
- SuSEconfig dropped, fix SUSE detection during build
* Thu May 31 2012 kkaempf@suse.com
- Fix building
* Mon Sep 19 2011 kkaempf@suse.com
- Initial version 1.0.0
